package jalview.gui;

import jalview.jbgui.GFontChooser;
import jalview.gui.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


public class FontChooser extends GFontChooser
{
  AlignmentPanel ap;
  Font oldFont;

  public FontChooser(AlignmentPanel ap)
  {
    this.ap = ap;

    String fonts[] = java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames();
    for(int i=0; i<fonts.length; i++)
      fontName.addItem(fonts[i]);

    for(int i=1; i<31; i++)
      fontSize.addItem(i+"");

   fontStyle.addItem("plain");
   fontStyle.addItem("bold");
   fontStyle.addItem("italic");

   oldFont = ap.av.getFont();
   fontName.setSelectedItem(oldFont.getName());
   fontSize.setSelectedItem(oldFont.getSize()+"");
   fontStyle.setSelectedIndex(oldFont.getStyle());

  }

  protected void ok_actionPerformed(ActionEvent e)
  {
    Font newFont = new Font(fontName.getSelectedItem().toString(),
                            fontStyle.getSelectedIndex(),
                            Integer.parseInt(fontSize.getSelectedItem().toString()+"")
                            );
    ap.av.setFont(newFont);
    ap.RefreshPanels();
    ap.RefreshPanels();
  }

  protected void cancel_actionPerformed(ActionEvent e)
  {
    ap.av.setFont(oldFont);
    ap.RefreshPanels();
    fontName.setSelectedItem(oldFont.getName());
    fontSize.setSelectedItem(oldFont.getSize()+"");
    fontStyle.setSelectedIndex(oldFont.getStyle());
  }


}
